org.apache.lucene.util

## Class IntBlockPool.Allocator

- java.lang.Object
- - org.apache.lucene.util.IntBlockPool.Allocator

- Direct Known Subclasses:
    IntBlockPool.DirectAllocator, RecyclingIntBlockAllocator
  Enclosing class:
    IntBlockPool

      public abstract static class IntBlockPool.Allocator
      extends Object

  Abstract class for allocating and freeing int blocks.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `blockSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Allocator(int blockSize)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getIntBlock()`
    `abstract void` | `recycleIntBlocks(int[][] blocks, int start, int end)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### blockSize

          protected final int blockSize

  - ### Constructor Detail

    - #### Allocator

          public Allocator(int blockSize)

  - ### Method Detail

    - #### recycleIntBlocks

          public abstract void recycleIntBlocks(int[][] blocks,
                                                int start,
                                                int end)

    - #### getIntBlock

          public int[] getIntBlock()

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.